%define upstream_name    Petal
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Template Attribute Language
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MKDoc::XML) >= 0.720.0
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Test::Harness) >= 2.0.0
BuildArch:  noarch

%description
examples deal with using Petal to generate HTML files from HTML templates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/Petal.pm
%perl_vendorlib/Petal


%changelog

* Fri Aug 26 2011 jquelin <jquelin> 2.200.0-1.mga2
+ Revision: 135493
- adding missing buildrequire
- update to 2.20
- using perl_convert_version
- mageia rebuild
- imported package perl-Petal


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.19-3mdv2010.0
+ Revision: 430525
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.19-2mdv2009.0
+ Revision: 268712
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2009.0
+ Revision: 213670
- import perl-Petal


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.19-1mdv2009.0
- first mdv release
